> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetBriefCallHistory POST https://api.voximplant.com/platform_api/GetBriefCallHistory Gets the account's brief call history in the asynchronous mode. Take a look at the [GetHistoryReports] and [DownloadHistoryReport] functions for downloading details. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `Support`. **Example request:** Get the brief call session history from the 2020-02-25 00:00:00 UTC to the 2020-02-26 00:00:00 UTC. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/history/get-brief-call-history ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `from_date` (string, required) — The from date in the selected timezone in 24-h format: YYYY-MM-DD HH:mm:ss - `to_date` (string, required) — The to date in the selected timezone in 24-h format: YYYY-MM-DD HH:mm:ss - `call_session_history_id` (list of integer, optional) — To get the call history for the specific sessions, pass the session IDs to this parameter separated by a semicolon (;). You can find the session ID in the AppEvents.Started event's **sessionID** property in a scenario, or retrieve it from the **call\_session\_history\_id** value returned from the StartScenarios or StartConference methods - `application_id` (integer, optional) — To receive the call history for a specific application, pass the application ID to this parameter - `application_name` (string, optional) — The application name, can be used instead of **application_id** - `rule_name` (string, optional) — To receive the call history for a specific routing rule, pass the rule name to this parameter. Applies only if you set application_id or application_name - `remote_number` (list of string, optional) — To receive a call history for a specific remote numbers, pass the number list separated by semicolons (;). A remote number is a number on the client side - `local_number` (list of string, optional) — To receive a call history for a specific local numbers, pass the number list separated by semicolons (;). A local number is a number on the platform side - `call_session_history_custom_data` (string, optional) — To filter the call history by the custom_data passed to the call sessions, pass the custom data to this parameter - `desc_order` (boolean, optional, default: false) — Whether to get records in the descent order - `with_header` (boolean, optional, default: true) — Whether to get a CSV file with the column names if the output=csv - `output` (string, required) — The output format. The following values available: **csv**. ## Response ### 200 Successful response - `result` (integer, optional) — Returns 1 if the request has been completed successfully - `history_report_id` (integer, optional) — The history report ID ## Examples **Request** ```json {} ``` **Response** ```json { "result": 1, "history_report_id": 234254 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetBriefCallHistory" querystring = {"from_date":"2020-02-25 00:00:00","to_date":"2020-02-26 00:00:00","output":"csv"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetBriefCallHistory?from_date=2020-02-25+00%3A00%3A00&to_date=2020-02-26+00%3A00%3A00&output=csv'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetBriefCallHistory?from_date=2020-02-25+00%3A00%3A00&to_date=2020-02-26+00%3A00%3A00&output=csv" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetBriefCallHistory?from_date=2020-02-25+00%3A00%3A00&to_date=2020-02-26+00%3A00%3A00&output=csv") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetBriefCallHistory?from_date=2020-02-25+00%3A00%3A00&to_date=2020-02-26+00%3A00%3A00&output=csv") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetBriefCallHistory?from_date=2020-02-25+00%3A00%3A00&to_date=2020-02-26+00%3A00%3A00&output=csv', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetBriefCallHistory?from_date=2020-02-25+00%3A00%3A00&to_date=2020-02-26+00%3A00%3A00&output=csv"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetBriefCallHistory?from_date=2020-02-25+00%3A00%3A00&to_date=2020-02-26+00%3A00%3A00&output=csv")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```